As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 677577 - Force an early failure when check-sync-dirs.py fails
: Force an early failure when check-sync-dirs.py fails
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Other Branch
: All All
: -- normal (vote)
: mozilla9
Assigned To: Mike Hommey [:glandium]
:
: Gregory Szorc [:gps]
Mentors:
Depends on: 680871
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-09 09:49 PDT by Mike Hommey [:glandium]
Modified: 2011-10-11 10:07 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Force an early failure when check-sync-dirs.py fails (1.54 KB, patch)
2011-08-09 09:50 PDT, Mike Hommey [:glandium]
ted: review+
Details | Diff | Splinter Review

Description User image Mike Hommey [:glandium] 2011-08-09 09:49:47 PDT
We've had many perma oranges on the tree because of check-sync-dirs.py failing during make check, which happens after the build. At which time several other pushes are very likely to have occurred.
It would be better to fail early, and even better, to fail on local builds too, so that it's even less likely to happen.
Comment 1 User image Mike Hommey [:glandium] 2011-08-09 09:50:40 PDT
Created attachment 551805 [details] [diff] [review]
Force an early failure when check-sync-dirs.py fails
Comment 2 User image Ted Mielczarek [:ted.mielczarek] 2011-08-12 09:07:27 PDT
Comment on attachment 551805 [details] [diff] [review]
Force an early failure when check-sync-dirs.py fails

Review of attachment 551805 [details] [diff] [review]:
-----------------------------------------------------------------

This is a good idea. Not sure why we didn't think of this before. We should probably get a hg hook setup to just prevent pushing this stuff in the first place.
Comment 3 User image Mike Hommey [:glandium] 2011-08-16 00:34:58 PDT
(In reply to Ted Mielczarek [:ted, :luser] from comment #2)
> This is a good idea. Not sure why we didn't think of this before. We should
> probably get a hg hook setup to just prevent pushing this stuff in the first
> place.

The problem with a hg hook is that it would need to check out the files, or if it doesn't, it would need to completely reimplement the test to use the information available through the changesets. Sounds like a lot of possible complications.
Comment 4 User image Mike Hommey [:glandium] 2011-08-16 00:43:54 PDT
http://hg.mozilla.org/projects/build-system/rev/c5f8cb2c8ea4
Comment 5 User image Ted Mielczarek [:ted.mielczarek] 2011-08-16 04:40:46 PDT
We'd have to rewrite the tests, yes, but it'd just be a matter of checking that the diffs match for files changed in those dirs. (with a list of exceptions to skip.)
Comment 6 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-18 03:49:48 PDT
http://hg.mozilla.org/mozilla-central/rev/c5f8cb2c8ea4
Comment 7 User image Landry Breuil (:gaston) 2011-08-22 02:33:04 PDT
Fwiw, this breaks the build on systems where there's no 'python' in the path, i now need to add mk_add_options PYTHON=/usr/local/bin/python2.7 to my .mozconfig before running gmake -f client.mk configure.

Can't it reuse the PYTHON var detected by configure itself ?
Comment 8 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-22 04:21:14 PDT
Yes, it should.  I'll r+ a patch for that ...
Comment 9 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-08-22 04:57:01 PDT
Actually, we can't just use python here, because it's in client.mk :-/
Comment 10 User image Mike Hommey [:glandium] 2011-08-22 05:49:41 PDT
(In reply to Kyle Huey [:khuey] (khuey@mozilla.com) from comment #9)
> Actually, we can't just use python here, because it's in client.mk :-/

We do use python in client.mk, for MOZ_BUILD_DATE
Comment 11 User image neil@parkwaycc.co.uk 2011-10-11 10:07:01 PDT
Not early enough though, because it doesn't happen until you've finished waiting for configure to finish, so I just wasted half an hour...

Note You need to log in before you can comment on or make changes to this bug.